#include <avr/io.h>
#include <math.h>
#include <stdio.h>
#include "..\..\Gmatrix.H"

//avr-gcc -mmcu=atmega8 -S -O4 -Wall -Wstrict-prototypes  toto.c

int main (void)
{
	// Testar inversa de matriz 3x3
	GMATRIX_DECLARE(Matrix, 3, 3);
	GMATRIX_DECLARE(MatrixInverse, 3, 3);

	// coloca PORTB como saida
	DDRB =0xFF;
	while (1){
		// Inicia a marix de forma aleatoria
		GMATRIX_RANDN(Matrix); 
		// PORTB.2 = 1
		PORTB |=1<<2;
		// Calcula sua inversa
		// GMATRIX_INVERSE_COPY(MatrixInverse,Matrix); 
		GMATRIX_INVERSE3_COPY(MatrixInverse,Matrix); 
		// PORTB.2 = 0
		PORTB &=~(1<<2);
	}
}
